Fedora 39 : pgadmin4 (2024-f04c2ec90b)

high Nessus Plugin ID 193700

Language:

Synopsis

The remote Fedora host is missing one or more security updates.

Description

The remote Fedora 39 host has a package installed that is affected by a vulnerability as referenced in the FEDORA-2024-f04c2ec90b advisory.

- pgAdmin <= 8.4 is affected by a Remote Code Execution (RCE) vulnerability through the validate binary path API. This vulnerability allows attackers to execute arbitrary code on the server hosting PGAdmin, posing a severe risk to the database management system's integrity and the security of the underlying data.
(CVE-2024-3116)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected pgadmin4 package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2024-f04c2ec90b

Plugin Details

Severity: High

ID: 193700

File Name: fedora_2024-f04c2ec90b.nasl

Version: 1.1

Type: local

Agent: unix

Published: 4/23/2024

Updated: 4/26/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.7

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.1

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS Score Source: CVE-2024-3116

CVSS v3

Risk Factor: High

Base Score: 7.4

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:fedoraproject:fedora:39, p-cpe:/a:fedoraproject:fedora:pgadmin4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 4/14/2024

Vulnerability Publication Date: 4/4/2024

Reference Information

CVE: CVE-2024-3116

FEDORA: 2024-f04c2ec90b

IAVB: 2024-B-0044